EDIT - bug #6359

Remaining issues secundum for subtrees
01/20/2017 02:30 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal Found in Version:

Description

Open issue(s):

o fill UpdateResult correctly => fixed, but preliminary changed due to #9627

* add-progress-monitor

Related issues:

Related to EDIT - feature request #6315: Implement setSecundumForSubtree in T...
Related to EDIT - bug #9601: Set secundum for subTree does not work for misap...

Related to EDIT - feature request #3740: Allow recursively setting the publis...
Related to EDIT - bug #9390: Remaining issues for set secundum dialog

Related to EDIT - feature request #9622: Improve remoting progress monitor ha...
Related to EDIT - bug #7577: Set Publish Flag for Subtree Dialog - Further Pr...

Copied from EDIT - feature request #3465: Function to copy secundum reference...

Copied to EDIT - bug #9627: Handle updated objects correctly in monitored ope...
Copied to EDIT - task #9628: Improve update result handling for monitored ope...

Closed
Closed
Closed

In Progress
In Progress
New
Closed
New

New

Associated revisions

Revision 06bf3273 - 01/09/2017 11:11 PM - Andreas Miiller

fix #3465 Progressmonitor API and better UpdateResult handling for setSecundumForSubtree

Revision 1cc6cd7b - 05/03/2018 12:03 PM - Andreas Miiller

ref #6359, ref #3740 (setSubtree) add progress monitor progress computation, first version of partitioning

Revision f303cdad - 05/03/2018 01:33 PM - Andreas Miiller

ref #6359, ref #3740 (setSubtree) some further improvements, mostly for publish

Revision 40113a9f - 05/06/2021 11:15 AM - Andreas Miiller

ref #6359 error handling for setSecundumForSubtree

Revision 3b1da35f - 05/06/2021 04:14 PM - Andreas Miiller
ref #6359, ref #3740 error handling for setPublishForSubtree

Revision 3cba463f - 05/06/2021 08:32 PM - Andreas Miiller

ref #9598 some parameter renaming and improve updated objects behavior

Revision cfa25f63 - 05/06/2021 08:59 PM - Andreas Miiller

ref #6359 improve updated objects behavior
Revision e067bb50 - 05/06/2021 11:22 PM - Andreas Miiller
ref #6359 improve partition handling

Revision 0bb7d42f - 05/06/2021 11:44 PM - Andreas Miiller
ref #6359 fix update issue

Revision ec8277bd - 05/06/2021 11:45 PM - Andreas Miiller

ref #6359 use subprogressmonitor

Revision 9336738a - 05/07/2021 12:47 AM - Andreas Miiller
ref #6359 add session.clear()

Revision f752535b - 05/07/2021 01:54 PM - Andreas Miiller

ref #6359 make setPublishForSubtree and setSecundumForSubtree cancelabel

Revision 06fb5f40 - 05/07/2021 02:13 PM - Andreas Muiller

ref #6359 adapt setPublishForSubtree to improved progress monitoring

Revision af7821ec - 05/07/2021 02:58 PM - Andreas Miiller

ref #6359 finetuning for updatedObijects in setSecundumForSubtree (distinguish taxon and originalsource)

Revision 220ce244 - 05/07/2021 03:43 PM - Andreas Miiller
ref #6359 finetuning for updatedObjects in ITaxonNodeDao

Revision 63fb5a6d - 05/11/2021 03:32 PM - Andreas Miiller
ref #6359 improve reporting for longrunning tasks with UpdateResult in TaxEditor

Revision ea3bd701 - 05/13/2021 01:08 AM - Andreas Miiller
ref #6359 fix NPE when removing sec

Revision c9ccb1e7 - 05/13/2021 01:26 AM - Andreas Miuller

ref #6359 improve progress monitoring for setSecundumForSubtree

Revision 1b643550 - 05/17/2021 04:09 PM - Andreas Miiller

ref #9622 , ref #6359 handle progress monitor without setting taskName multiple times and some further fixes

Revision 809fcc17 - 05/19/2021 12:45 AM - Andreas Miiller
ref #9622, ref #6359, #8871 adapt progress monitoring for description aggregation

Revision 0f6b5dda - 05/19/2021 03:25 PM - Andreas Miiller
ref #6359, ref #9627 fix tests for setSecundumForSubtree workaround

History

#1 - 01/20/2017 02:30 PM - Andreas Miller

- Target version changed from Unassigned CDM tickets to Release 4.6

#2 - 01/20/2017 02:31 PM - Andreas Miller

- Copied from feature request #3465: Function to copy secundum reference of a given taxon node to all it's children added

#3 - 01/20/2017 02:31 PM - Andreas Miiller
- Related to bug #6215: NPE when opening preferences with no DB connection added

#4 - 01/20/2017 02:31 PM - Andreas Miiller
- Related to deleted (bug #6215: NPE when opening preferences with no DB connection)

#5 - 01/20/2017 02:32 PM - Andreas Miller
- Related to feature request #6315: Implement setSecundumForSubtree in TaxEditor added

#6 - 07/10/2017 11:09 AM - Andreas Miiller
- Description updated

- Target version changed from Release 4.6 to Release 4.9

#7 - 07/21/2017 10:29 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#8 - 09/24/2017 12:43 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.12

#9 - 12/05/2017 02:16 PM - Andreas Miuller

- Target version changed from Release 4.12 to Release 4.13

#10 - 01/31/2018 12:18 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#11 - 02/15/2018 03:16 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#12 - 05/17/2018 02:26 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#13 - 06/27/2018 02:25 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#14 - 08/17/2018 03:43 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#15 - 09/06/2018 09:57 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#16 - 10/23/2018 11:24 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#17 - 02/14/2019 10:26 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#18 - 02/19/2019 05:08 PM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Release 5.6 to Reviewed Next Major Release

#19 - 05/05/2021 12:58 PM - Andreas Miiller
- Description updated

#20 - 05/05/2021 12:58 PM - Andreas Miiller

- Related to bug #9601: Set secundum for subTree does not work for misapplied names added

#21 - 05/06/2021 11:12 AM - Andreas Miuiller

- Description updated

#22 - 05/06/2021 11:30 AM - Andreas Miiller
- Related to feature request #3740: Allow recursively setting the publish bit for TaxonBase added

#23 - 05/06/2021 11:35 AM - Andreas Muiller
- Description updated

#24 - 05/07/2021 12:49 AM - Andreas Miiller
- Description updated

- % Done changed from 0 to 40

#25 - 05/07/2021 01:55 PM - Andreas Miiller

- Description updated

#26 - 05/07/2021 01:56 PM - Andreas Miiller
- Description updated
- Status changed from New to In Progress

- Target version changed from Reviewed Next Major Release to Release 5.25

#27 - 05/07/2021 02:11 PM - Andreas Miiller

- Description updated

#28 - 05/11/2021 12:05 PM - Andreas Miiller

- Status changed from In Progress to Resolved

#29 - 05/11/2021 03:31 PM - Andreas Miiller

- Related to bug #9390: Remaining issues for set secundum dialog added

#30 - 05/12/2021 03:01 PM - Andreas Miiller

Katja, kannst du das Ticket grundséatzlich schon mal reviewen? Wir missen noch eine Lésung finden flr die Auswertung der updated objects.
Kurzfristig missen wir vermutlich die updated taxa wieder hinzufligen, auch wenn das nicht wirklich korrekt ist bis wir eine Lésung haben, die z.B. aus
einer updated NamedSource berechnet, welche Editoren davon betroffen sind. Auch nicht so schén ist, dass im Result-Report der Begriff
NamedSource fur den User natirlich weniger Versandlich ist als z.B. Taxon Relation. D.h. wir miissen dringend klaren, wozu die UpdatedObjects
Uberhaupt gebraucht werden. Firs CacheUpdating werden exakte Angaben benétigt, wahrend fur den Report eher grobe, Kontext bezogene
Angaben reichen.

#31 - 05/12/2021 03:01 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

#32 - 05/12/2021 03:56 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Andreas Mdiller

review:

add progress monitor -> the submonitors not shown in the status of the editor -> maybe a new ticket?

handle large subtrees in partitions -> seems to work

handle MAN and PPSyns (#9601) this works as expected

handle errors -> they are handled in result, so | think this is correct.

make cancelable -> maybe we should show how many items already changed, especially because the status of the submonitors are not shown.

| think everything works, but we have to have a look at the progress monitor again.

#33 - 05/12/2021 04:21 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Katja Luther wrote:
review:

add progress monitor -> the submonitors not shown in the status of the editor -> maybe a new ticket?

handle large subtrees in partitions -> seems to work

handle MAN and PPSyns (#9601) this works as expected

handle errors -> they are handled in result, so | think this is correct.

make cancelable -> maybe we should show how many items already changed, especially because the status of the submonitors are not
shown.
| think everything works, but we have to have a look at the progress monitor again.

What do you mean with "the submonitors are not shown"?
Do you mean percentage or subtask labels? For me the percentage appears almost always. | tested with
rem_conf_am/Classification(Import)/Arenaria which has ~1400 taxa.

The change in code that makes the percentage visible (usually) was to create a total count of 100 already before the count methods were called and
then use a subprogressmonitor to handle the exact counts. This makes the total count available much faster.

But | agree that this sometimes (very seldom for me) does not work if there is some delay on serverside. The reason for this IMO is the
implementation in ProgressMonitorClientManager.pollMonitor() which after 10x polling assumes that there is no total count. But this is wrong behavior
which | thing can be fixed by using submonitors instead. | will create a ticket for this.

Does ths percentage never appear for you? Did you test with a local server or on test server?

#34 - 05/12/2021 04:25 PM - Andreas Miiller

Katja Luther wrote:

e make cancelable -> maybe we should show how many items already changed, especially because the status of the submonitors are not
shown.

The number of changed items is also shown in the report (even if progress monitor does not work). So | don't think it is worth implementing. By the
way, it is also not so easy to implement because at least currently subtasks labels are not yet shown in the progress monitor so it is not possible to
show a label that reports the current number.

Better lets try to spend time in the improved progress monitoring for long running tasks as explained above.

#35 - 05/17/2021 01:45 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#36 - 05/17/2021 03:00 PM - Katja Luther
- File picture038-1.png added

- Target version changed from Release 5.23 to Release 5.25

| think the usage of submonitors needs to be adapted, | already did this for cache update, there the submonitor labels are shown correctly:

i Update Laches = |

Update Reference

64,76% done

[C] Always run in background

Set Secundum Reference for Subtree
| p— —— |
Update secundum reference for subtree: 23,25% done

m

Update Caches
=l j——— —— J

upda@m,?a%dane

[Run in Backgrnund] [ Cancel l [ << Details

#37 - 05/17/2021 03:26 PM - Katja Luther
- File picture624-1.png added

| tried to adapt the progress monitor handling like for the cache update and the output in editor looks like this:
3,.'; Set Secundum Reference for Subtree = '@

Update Accepted Taxa

10% done

[] Always run in background

Set Secundumn Reference for Subtree
L — |
Update Accepted Taxa: 10% done

m

Run in Backgroundl [ Cancel l [ <« Details

Should | check it in?

#38 - 05/17/2021 03:29 PM - Andreas Miiller

Katja Luther wrote:

| tried to adapt the progress monitor handling like for the cache update and the output in editor looks like this:

3,.'; Set Secundum Reference for Subtree = '@

Update Accepted Taxa

10% done

[] Abways run in background

Set Secundumn Reference for Subtree
L — |
Update Accepted Taxa: 10% done

m

Run in Backgroundl [ Cancel l [ <« Details

Should | check it in?

upps, | also worked on this already put did not yet push. Can you send the diff to see if we did similar things?

#39 - 05/17/2021 07:10 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#40 - 05/18/2021 01:20 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

So the progress monitor handling is fixed, we can close this ticket. A new ticket for user friendly result report and improved update result should be
created.

#41 - 05/18/2021 06:13 PM - Andreas Miiller
- Related to feature request #9622: Improve remoting progress monitor handling added

#42 - 05/18/2021 06:13 PM - Andreas Miiller
- Related to bug #7577: Set Publish Flag for Subtree Dialog - Further Problems with Progressmonitor added

#43 - 05/19/2021 10:26 AM - Andreas Miiller
- Description updated

#44 - 05/19/2021 10:27 AM - Andreas Miiller
- % Done changed from 40 to 80

Created a follow-up ticket #9627 for correct update result handling on editor side

#45 - 05/19/2021 10:28 AM - Andreas Miiller
- Copied to bug #9627: Handle updated objects correctly in monitored operations in taxeditor added

#46 - 05/19/2021 10:31 AM - Andreas Muller

- Copied to task #9628: Improve update result handling for monitored operations added

#47 - 05/19/2021 10:33 AM - Andreas Miiller

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

Also created a new ticket for better update result handling: #9628

So we can close this ticket now.

Files
picture038-1.png 30 KB 05/17/2021 Katja Luther
picture624-1.png 18.6 KB 05/17/2021 Katja Luther

04/23/2024 777


https://dev.e-taxonomy.eu/redmine/issues/9627
https://dev.e-taxonomy.eu/redmine/issues/9628
http://www.tcpdf.org

